import 'package:flutter/material.dart';

class CheckBoxWidget extends StatefulWidget {
  @override
  _CheckBoxWidgetState createState() => _CheckBoxWidgetState();
}

class _CheckBoxWidgetState extends State<CheckBoxWidget> {
  bool _isChecked = false;

  @override
  Widget build(BuildContext context) {
    return CheckboxListTile(
      title: Text("My Checkbox"),
      value: _isChecked,
      onChanged: (newValue) {
        setState(() {
          _isChecked = newValue ?? false;
        });
      },
      controlAffinity: ListTileControlAffinity.leading,
    );
  }
}
