import 'package:papaya_sdk/screens/claim_case_detail/claim_case_detail_screen.dart';
import 'package:papaya_sdk/screens/claim_case_detail/update_document_screen.dart';
import 'package:papaya_sdk/screens/claim_case_detail/update_document_success_screen.dart';
import 'package:papaya_sdk/screens/home/home_screen.dart';
import 'package:papaya_sdk/screens/login/login_screen.dart';
import 'package:papaya_sdk/screens/otp/otp_screen.dart';
import 'package:papaya_sdk/screens/submit_claim/input_treatment_info_screen.dart';
import 'package:papaya_sdk/screens/submit_claim/paper_screen.dart';
import 'package:papaya_sdk/screens/submit_claim/review_screen.dart';
import 'package:papaya_sdk/screens/submit_claim/select_benefit_screen.dart';
import 'package:papaya_sdk/screens/submit_claim/select_insured_person.dart';
import 'package:papaya_sdk/screens/submit_claim/submit_successful_screen.dart';
import 'package:papaya_sdk/screens/welcome/welcome_screen.dart';
import 'package:flutter/material.dart';

final Map<String, WidgetBuilder> routes = {
  LoginScreen.routerName: (context) => const LoginScreen(),
  OtpScreen.routerName: (context) => const OtpScreen(),
  WelcomeScreen.routerName: (context) => const WelcomeScreen(),
  HomeScreen.routerName: (context) => const HomeScreen(),
  SelectInsuredPersonScreen.routerName: (context) =>
      const SelectInsuredPersonScreen(),
  SelectBenefitScreen.routerName: (context) => const SelectBenefitScreen(),
  InputTreatmentInfoScreen.routerName: (context) =>
      const InputTreatmentInfoScreen(),
  PaperScreen.routerName: (context) => const PaperScreen(),
  ReviewScreen.routerName: (context) => const ReviewScreen(),
  SubmitSuccessfulScreen.routerName: (context) =>
      const SubmitSuccessfulScreen(),
  ClaimCaseDetailScreen.routerName: (context) => const ClaimCaseDetailScreen(),
  UpdateDocumentScreen.routeName: (context) => const UpdateDocumentScreen(),
  UpdateDocumentSuccessScreen.routeName: (context) =>
      UpdateDocumentSuccessScreen(),
};
