import 'package:flutter/material.dart';
import 'package:papaya_sdk/olive.dart';

// Định nghĩa hai trang của ứng dụng
class FirstPage extends StatelessWidget {
  const FirstPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: const Text('Long chau')),
      body: Center(
        child: ElevatedButton(
          child: const Text('Đi đến papaya'),
          onPressed: () {
            // Điều hướng tới trang SecondPage khi người dùng nhấn nút
            Navigator.push(context,
                MaterialPageRoute(builder: (context) => const SecondPage()));
          },
        ),
      ),
    );
  }
}

class SecondPage extends StatelessWidget {
  const SecondPage({super.key});

  @override
  Widget build(BuildContext context) {
    return const Scaffold(
      appBar: null, // Ẩn AppBar
      body: PapayaWidget(),
    );
  }
}

// Trong hàm main, hiển thị trang FirstPage khi ứng dụng được khởi chạy
void main() {
  runApp(const MaterialApp(home: FirstPage()));
}
